package cn.com.countrygarden.bi.main.service.dup;

import cn.com.countrygarden.bi.main.model.dup.DupOrgan;
import cn.com.countrygarden.bi.main.model.twerp.ErpCommunity;

import java.util.List;
import java.util.Map;

/**
 * Created by chenweijiang on 2017/9/13.
 */
public interface DupCommService {
    List<ErpCommunity> findByUserCode(String userCode, String organCode, boolean isPilot);

    List<DupOrgan> findDupCommByUserCode(String userCode, String organCode, boolean isPilot, boolean isManager);

    List<DupOrgan> findDupCommByUserCodeCase(String userCode, String organCode, boolean isPilot, boolean isManager);


    List<DupOrgan> listAllComm();

    void addManagerComm(String commId, String userCode);

    void deleteManagerComm(String commId);
    void synchronizationOrg() ;
    /**
     * 通过用户ID查询所有纯案场或者案场常规混合的区域
     *
     * @param userCode
     * @return
     */
    List<Map<String, String>> findOrgansByUserCode(String userCode);

    /**
     * 通过用户ID和区域ID查询所有纯案场或者案场常规混合的项目
     *
     * @param userCode
     * @param organCode
     * @return
     */
    List<Map<String, String>> findCommsByUserCodeAndOrganCode(String userCode, String organCode);

    /**
     * 通过用户ID查询所有纯案场或者案场常规混合的项目
     *
     * @param userCode
     * @return
     */
    List<Map<String, String>> findCommsByUserCode(String userCode);
}
